Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::EulerMaclaurinRadialIntegrator Class Reference

An implementation of a radial integrator using the Euler-Maclaurin weights and grid points. More...

`#include <integrator.h>`

Inheritance diagram for sc::EulerMaclaurinRadialIntegrator:

[legend]
Collaboration diagram for sc::EulerMaclaurinRadialIntegrator:

[legend]
List of all members.

## Public Methods
| EulerMaclaurinRadialIntegrator ()
| EulerMaclaurinRadialIntegrator (int i)
| EulerMaclaurinRadialIntegrator (const Ref< KeyVal > &)
| EulerMaclaurinRadialIntegrator (StateIn &)
| ~EulerMaclaurinRadialIntegrator ()
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
int | nr () const
double | radial_value (int ir, int nr, double radii, double &multiplier)
void | print (std::ostream &=ExEnv::out0()) const
| Print the object.

## Detailed Description

An implementation of a radial integrator using the Euler-Maclaurin weights and grid points.

## Member Function Documentation

void sc::EulerMaclaurinRadialIntegrator::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::RadialIntegrator.

The documentation for this class was generated from the following file:

- integrator.h